# Get an execution plan (GET /plan/{planId})

Operation `get_plan` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Retrieves an existing execution plan by its ID. Returns the full plan with current status and all steps. If forceRefresh is set to true, the plan will be refreshed to check for any updates to step statuses. Note: Completed plans cannot be refreshed.

Parameters: 1 path, 1 query, 1 header · Auth: apiKey · Responses: 200, 400, 401, 404, 422, 429, 500, 504

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `planId` | string | yes | The unique identifier of the plan to retrieve. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `forceRefresh` | boolean | no | Whether to force refresh the plan status. Defaults to false. Completed plans cannot be refreshed. |

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Responses

- `200` — Get plan successful.
- `400` — RequestValidationError, Bad Input
- `401` — UnauthorizedError eg. Account is blocked.
- `404` — ResourceNotFound eg. No quotes available or Gas fee/price not available
- `422` — UnprocessableEntity eg. Plan is already completed and cannot be updated.
- `429` — Ratelimited
- `500` — Unexpected error
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/get_plan
All endpoints: https://developers.uniswap.org/docs/api-reference
